Bug 49717 - libvirt: Multiple issues (4.3)
libvirt: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-4-errata
Assigned To: Quality Assurance
Philipp Hahn
:
: 49716 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-24 13:49 CEST by Philipp Hahn
Modified: 2019-06-26 18:03 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.8 (CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2019-06-24 13:49:59 CEST
New Debian libvirt 3.0.0-4+deb9u4A~4.3.4.201906241341 fixes:
This update addresses the following issues:
* arbitrary file read/exec via virDomainSaveImageGetXMLDesc API (CVE-2019-10161)
* arbitrary command execution via virConnectGetDomainCapabilities API (CVE-2019-10167)
Comment 1 Quality Assurance univentionstaff 2019-06-24 15:11:56 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-4-errata/source/libvirt_3.0.0-4+deb9u3A~4.3.0.201905250642.dsc
+++ apt/ucs_4.3-0-errata4.3-4/source/libvirt_3.0.0-4+deb9u4A~4.3.4.201906241341.dsc
@@ -1,4 +1,4 @@
-3.0.0-4+deb9u3A~4.3.0.201905250642 [Sat, 25 May 2019 06:42:12 +0200] Univention builddaemon <buildd@univention.de>:
+3.0.0-4+deb9u4A~4.3.4.201906241341 [Mon, 24 Jun 2019 13:46:10 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     0001-Bug-35768-Bug-39685-Remove-UCS-dependencies
@@ -9,6 +9,20 @@
     0026-Bug-21501-add-slash-screen-support
     0027-Bug-48536-qemu-Don-t-update-CPU-when-formatting-live-def
 
+3.0.0-4+deb9u4 [Wed, 12 Jun 2019 10:13:38 +0200] Guido Günther <agx@sigxcpu.org>:
+
+  * Fix CVEs related to privilege escalations on R/O connections.
+    - CVE-2019-10161:
+      CVE-2019-10161-api-disallow-virDomainSaveImageGetXMLDesc-.patch
+    - CVE-2019-10167:
+      api-disallow-virConnectGetDomainCapabilities-on-read-only.patch
+  * cpu_map: Define md-clear CPUID bit.
+    CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091
+  * Add spec-ctrl and ibpb CPU features and ibrs CPU models.
+    CVE-2017-5753, CVE-2017-5715
+  * Add ssbd CPU feature.
+    CVE-2018-3639
+
 3.0.0-4+deb9u3 [Mon, 12 Mar 2018 19:11:51 +0100] Guido Günther <agx@sigxcpu.org>:
 
   * gbp: switch branch to stretch

<http://10.200.17.11/4.3-4/#6262533442343656733>
Comment 2 Philipp Hahn univentionstaff 2019-06-24 17:07:58 CEST
*** Bug 49716 has been marked as a duplicate of this bug. ***
Comment 3 Philipp Hahn univentionstaff 2019-06-25 09:38:15 CEST
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts
OK: lscpu | grep --only --color --word-regexp -e md_clear -e ssbd -e ibrs -e ibpb -e stibp -e flush_l1d

[4.3-4] 5ed878955a Bug #49717: libvirt_3.0.0-4+deb9u4A~4.3.4.201906241341
 doc/errata/staging/libvirt.yaml | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
Comment 4 Arvid Requate univentionstaff 2019-06-26 18:03:20 CEST
<http://errata.software-univention.de/ucs/4.3/539.html>